mxGraphMlGraph (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.io.graphml
Class mxGraphMlGraph

    java.lang.Object
      com.mxgraph.io.graphml.mxGraphMlGraph

    public class mxGraphMlGraph

extends Object

Represents a Graph element in the GML Structure.

Constructor Summary
`mxGraphMlGraph()` Constructs an empty graph.
`mxGraphMlGraph(Element graphElement)` Constructs a graph from a xml graph element.
`mxGraphMlGraph(String id, String edgedefault)` Constructs a graph with id and edge default direction.

Method Summary
`void` | `addGraph(mxGraph graph, Object parent)` Adds the elements represented for this graph model into the given graph.
`static mxGraphMlData` | `dataEdgeKey(mxGraphMlEdge edge)` Returns the data element inside the edge that references to the key element with name = KEY_EDGE_NAME.
`static mxGraphMlData` | `dataNodeKey(mxGraphMlNode node)` Returns the data element inside the node that references to the key element with name = KEY_NODE_NAME.
`Element` | `generateElement(Document document)` Generates a Key Element from this class.
`String` | `getEdgedefault()`
`List<mxGraphMlEdge>` | `getEdges()`
`String` | `getId()`
`List<mxGraphMlNode>` | `getNodes()`
`static boolean` | `hasData(mxGraphMlNode node)` Checks if the node has data elements inside.
`boolean` | `isEmpty()` Checks if the graph has child nodes or edges.
`void` | `setEdgedefault(String edgedefault)`
`void` | `setEdges(List<mxGraphMlEdge> edge)`
`void` | `setId(String id)`
`void` | `setNodes(List<mxGraphMlNode> node)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxGraphMlGraph

    public mxGraphMlGraph(String id,
                          String edgedefault)

  Constructs a graph with id and edge default direction.

  Parameters:
    `id` - Graph's ID
    `edgedefault` - Edge Default direction.("directed" or "undirected")

### mxGraphMlGraph

    public mxGraphMlGraph()

  Constructs an empty graph.

### mxGraphMlGraph

    public mxGraphMlGraph(Element graphElement)

  Constructs a graph from a xml graph element.

  Parameters:
    `graphElement` - Xml graph element.

Method Detail

### addGraph

    public void addGraph(mxGraph graph,
                         Object parent)

  Adds the elements represented for this graph model into the given graph.

  Parameters:
    `graph` - Graph where the elements will be located
    `parent` - Parent of the cells to be added.

### hasData

    public static boolean hasData(mxGraphMlNode node)

  Checks if the node has data elements inside.

  Parameters:
    `node` - Gml node element.
  Returns:
    Returns `true` if the node has data elements inside.

### dataNodeKey

    public static mxGraphMlData dataNodeKey(mxGraphMlNode node)

  Returns the data element inside the node that references to the key element with name = KEY_NODE_NAME.

  Parameters:
    `node` - Gml Node element.
  Returns:
    The required data. null if not found.

### dataEdgeKey

    public static mxGraphMlData dataEdgeKey(mxGraphMlEdge edge)

  Returns the data element inside the edge that references to the key element with name = KEY_EDGE_NAME.

  Parameters:
    `edge` - Gml Edge element.
  Returns:
    The required data. null if not found.

### getEdgedefault

    public String getEdgedefault()

### setEdgedefault

    public void setEdgedefault(String edgedefault)

### getId

    public String getId()

### setId

    public void setId(String id)

### getNodes

    public List<mxGraphMlNode> getNodes()

### setNodes

    public void setNodes(List<mxGraphMlNode> node)

### getEdges

    public List<mxGraphMlEdge> getEdges()

### setEdges

    public void setEdges(List<mxGraphMlEdge> edge)

### isEmpty

    public boolean isEmpty()

  Checks if the graph has child nodes or edges.

  Returns:
    Returns `true` if the graph hasn't child nodes or edges.

### generateElement

    public Element generateElement(Document document)

  Generates a Key Element from this class.

  Parameters:
    `document` - Document where the key Element will be inserted.
  Returns:
    Returns the generated Elements.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.